jsadebugd(1)

NAME
jsadebugd - serviceability agent debug daemon

SYNOPSIS
jsadebugd [pid] [server-id]
jsadebugd executable core [server-id]

DESCRIPTION
jsadebugd attaches to a Java process or core file and acts as a debug server. Remote clients such as jstack, jmap, and jinfo can attach to the server using Java Remote Method Invocation (RMI). Before starting jsadebugd, rmiregistry must be started with:

    rmiregistry -J-Xbootclasspath/p:$JAVA_HOME/lib/sajdi.jar

where $JAVA_HOME is the J2SE SDK installation directory. If rmiregistry was not started, jsadebugd will start an rmiregistry in a standard (1099) port internally. Debug server may be stopped by sending SIGINT (pressing Ctrl-C) to it.

NOTE - This utility is unsupported and may or may not be available in future versions of the J2SE SDK. jinfo is not currently available on Windows platforms or on the Linux Itanium platform.

PARAMETERS

pid process id of the process to which the debug server should attach. The process must be a Java process. To get a list of Java processes running on a machine, jps may be used. At most one instance of the debug server may be attached to a single process.

executable
    Java executable from which the core dump was produced.

core
    core file to which the debug server should attach.

server-id
    optional unique id, needed if multiple debug servers are started on the same machine. This ID must be used by remote clients to identify the particular debug server to attach. Within a single machine, this ID must be unique.

SEE ALSO
jinfo(1) jmap(1) jps(1) jstack(1) rmiregistry(1)